IndexReaderFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.core.IndexReaderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class IndexReaderFactory

    java.lang.Object
      org.apache.solr.core.IndexReaderFactory

All Implemented Interfaces:
  NamedListInitializedPlugin

Direct Known Subclasses:
  StandardIndexReaderFactory

    public abstract class IndexReaderFactory

extends Object
implements NamedListInitializedPlugin

Factory used to build a new IndexReader instance.

Field Summary
`protected int` | `termInfosIndexDivisor`

Constructor Summary
`IndexReaderFactory()`

Method Summary
`int` | `getTermInfosIndexDivisor()`
`void` | `init(NamedList args)` Potentially initializes `termInfosIndexDivisor`.
`abstract IndexReader` | `newReader(Directory indexDir, boolean readOnly)` Creates a new IndexReader instance using the given Directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termInfosIndexDivisor

    protected int termInfosIndexDivisor

Constructor Detail

### IndexReaderFactory

    public IndexReaderFactory()

Method Detail

### init

    public void init(NamedList args)

  Potentially initializes `termInfosIndexDivisor`. Overriding classes should call super.init() in order to make sure termInfosIndexDivisor is set.

  `init` will be called just once, immediately after creation.

  The args are user-level initialization parameters that may be specified when declaring an indexReaderFactory in solrconfig.xml

  Specified by:
    `init` in interface `NamedListInitializedPlugin`

### getTermInfosIndexDivisor

    public int getTermInfosIndexDivisor()

  Returns:
    The setting of `termInfosIndexDivisor`

### newReader

    public abstract IndexReader newReader(Directory indexDir,
                                          boolean readOnly)
                                   throws IOException

  Creates a new IndexReader instance using the given Directory.

  Parameters:
    `indexDir` - indexDir index location
    `readOnly` - return readOnly IndexReader
  Returns:
    An IndexReader instance
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD